
package org.dataone.service.types.v2;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 *  A list of :class:`v2_0.Types.Node` entries returned by
 :func:`CNCore.listNodes()`.
 NodeList is described in :mod:`NodeList`.

 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://ns.dataone.org/service/types/v2.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="NodeList">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:Node" name="node" minOccurs="1" maxOccurs="unbounded"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class NodeList implements Serializable
{
    private static final long serialVersionUID = 10000000;
    private List<Node> nodeList = new ArrayList<Node>();

    /** 
     * Get the list of 'node' element items.
     * 
     * @return list
     */
    public List<Node> getNodeList() {
        return nodeList;
    }

    /** 
     * Set the list of 'node' element items.
     * 
     * @param list
     */
    public void setNodeList(List<Node> list) {
        nodeList = list;
    }

    /** 
     * Get the number of 'node' element items.
     * @return count
     */
    public int sizeNodeList() {
        if (nodeList == null) {
            nodeList = new ArrayList<Node>();
        }
        return nodeList.size();
    }

    /** 
     * Add a 'node' element item.
     * @param item
     */
    public void addNode(Node item) {
        if (nodeList == null) {
            nodeList = new ArrayList<Node>();
        }
        nodeList.add(item);
    }

    /** 
     * Get 'node' element item by position.
     * @return item
     * @param index
     */
    public Node getNode(int index) {
        if (nodeList == null) {
            nodeList = new ArrayList<Node>();
        }
        return nodeList.get(index);
    }

    /** 
     * Remove all 'node' element items.
     */
    public void clearNodeList() {
        if (nodeList == null) {
            nodeList = new ArrayList<Node>();
        }
        nodeList.clear();
    }
}
